# How to Create a Network File Storage Snapshot Network File Storage is a fully managed, POSIX-compliant file storage solution built for demanding workloads like AI/ML pipelines, containerized applications, and DigitalOcean Kubernetes (DOKS) clusters. It provides scalable, high-throughput shared storage that simplifies storage management for distributed applications. NFS snapshots are point-in-time, read-only copies of your data. Use snapshots for file-level recovery from accidental deletions, overwrites, or data corruption. Snapshot data is available in a special hidden `.snapshot` directory at the root of the share itself. Snapshots are billed based on their restorable size, which equals the amount of storage used by the share at the time of creation. Read [Network File Storage Pricing](https://docs.digitalocean.com/products/nfs/details/pricing/index.html.md) for details. ## Snapshot a Share Using the Control Panel To take a snapshot from the [Control Panel](https://cloud.digitalocean.com), click **Network File Storage** in the main menu. Click the **…** “more” menu next to the share you want to snapshot, then click **Take a Snapshot**. In the **Create a Snapshot** window that opens, click **Take Snapshot** to create the snapshot. To view and manage your team’s snapshots, click the **Snapshots** tab. ## Snapshot a Share Using the CLI ## How to Snapshot a Network File Storage Share Using the DigitalOcean CLI 1. [Install `doctl`](https://docs.digitalocean.com/reference/doctl/how-to/install/index.html.md), the official DigitalOcean CLI. 2. [Create a personal access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) and save it for use with `doctl`. 3. Use the token to grant `doctl` access to your DigitalOcean account. ```shell doctl auth init ``` 4. Finally, run `doctl nfs snapshot create`. Basic usage looks like this, but you can [read the usage docs](https://docs.digitalocean.com/reference/doctl/reference/nfs/snapshot/create/index.html.md) for more details: ```shell doctl nfs snapshot create [flags] ``` The following example creates a snapshot for a specified NFS share: ```shell doctl nfs snapshot create --name my-snapshot --region 'atl1' --share-id 0a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d ``` ## Snapshot a Share Using the API To take a snapshot of a Network File Storage share via the API, use the NFS actions endpoint and set the action `type` to `snapshot`: ```shell curl -X POST \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $DIGITALOCEAN_TOKEN" \ -d '{"type": "snapshot", "region": "atl1", "params": {"name": ""}}' \ "https://api.digitalocean.com/v2/nfs//actions" ``` Replace `` with the ID of your share, and `` with the desired name for the snapshot. The snapshot name must be twenty characters or less. ## How to Snapshot a Network File Storage Share Using the DigitalOcean API 1. [Create a personal access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) and save it for use with the API. 2. Send a POST request to [`https://api.digitalocean.com/v2/nfs/{nfs_id}/actions`](https://docs.digitalocean.com/reference/api/digitalocean//index.html.md#operation/nfs_create_action). ### cURL Using cURL: ```shell curl -X POST \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $DIGITALOCEAN_TOKEN" \ -d '{"type": "resize", "params": {"size_gib": 1024}, "region": "atl1"}' \ "https://api.digitalocean.com/v2/nfs/${nfs_id}/actions" ``` To list and delete snapshots via the API, read [the NFS section of the DigitalOcean API reference](https://docs.digitalocean.com/reference/api/digitalocean/index.html.md#tag/NFS).